import { ActivatedRouteSnapshot } from '@angular/router';
import { SecurityService } from '@wm/security';
import { AppManagerService } from '../services/app.manager.service';
import * as i0 from "@angular/core";
export declare class AuthGuard {
    private securityService;
    private appManager;
    constructor(securityService: SecurityService, appManager: AppManagerService);
    loadSecurityConfig(): Promise<boolean>;
    isAuthenticated(): Promise<any>;
    canActivate(route: ActivatedRouteSnapshot): Promise<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthGuard>;
}
